/*
Copyright (c) 1998-2009 VIA Technologies, Inc. All Rights Reserved.
 
This PROPRIETARY SOURCE CODE contains proprietary information of VIA 
Technologies, Inc. (VIA); Contents of this file shall not be disclosed to any 3rd party, 
copied or duplicated in any form, in whole or in part without prior written consent of 
VIA.  THIS SOURCE CODE & ANY RELATED DOCUMENTATION 
(COLLECTIVELY SOFTWARE) ARE PROVIDED AS IS, WITH ALL FAULTS, & 
WITHOUT WARRANTY OF ANY KIND.  VIA DISCLAIMS ALL EXPRESS OR 
IMPLIED WARRANTIES.  USER ACKNOWLEDGES THAT PARTIES FOR ANY 
DAMAGES ARISING FROM USE OF SOFTWARE OR ITS DERIVATIVE, 
INCLUDING, W/O LIMITATION, LOSS OF USE, DATA OR PROFITS. USER
WHOLLY ASSUMES ALL RISK ARISING FROM USE & PERFORMANCE OF 
SOFTWARE
*/ 
 
#ifndef FDAPI_MEMORY_H_
#define FDAPI_MEMORY_H_

#include "fdapi_base.h"

#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
		Memory Information
************************************************************************/
#pragma pack(1)
/**
 * The structure defined below can be used to get the memory information.
 *
 */
typedef struct
{
	DWORD	dwTotalPhysical;       ///< unit: KB, 1KB = 1024 bytes
	DWORD	dwAvailablePhysical;   ///< unit: KB, 1KB = 1024 bytes
	DWORD	dwTotalVirtual;        ///< unit: KB, 1KB = 1024 bytes
	DWORD	dwAvailableVirtual;    ///< unit: KB, 1KB = 1024 bytes
} TFDMemInfo, *PTFDMemInfo;
#pragma pack()


/**
 * Get the memory information.
 * @param ptMemInfo: a pointer to a TFDMemInfo structure that receives the memory information.
 * @return   :
 * FD_S_OK: The function is success.
 * FD_E_INVALID_ARG: ptMemInfo is NULL.
 * FD_E_FAIL: The function fails.
 */
FLITEDECK_API DWORD FDMem_GetInfo(PTFDMemInfo ptMemInfo);


#ifdef __cplusplus
} // extern C
#endif

#endif
