/*
Copyright (c) 1998-2009 VIA Technologies, Inc. All Rights Reserved.
 
This PROPRIETARY SOURCE CODE contains proprietary information of VIA 
Technologies, Inc. (VIA); Contents of this file shall not be disclosed to any 3rd party, 
copied or duplicated in any form, in whole or in part without prior written consent of 
VIA.  THIS SOURCE CODE & ANY RELATED DOCUMENTATION 
(COLLECTIVELY SOFTWARE) ARE PROVIDED AS IS, WITH ALL FAULTS, & 
WITHOUT WARRANTY OF ANY KIND.  VIA DISCLAIMS ALL EXPRESS OR 
IMPLIED WARRANTIES.  USER ACKNOWLEDGES THAT PARTIES FOR ANY 
DAMAGES ARISING FROM USE OF SOFTWARE OR ITS DERIVATIVE, 
INCLUDING, W/O LIMITATION, LOSS OF USE, DATA OR PROFITS. USER
WHOLLY ASSUMES ALL RISK ARISING FROM USE & PERFORMANCE OF 
SOFTWARE
*/ 
 
#ifndef FDAPI_SMBUS_H_
#define FDAPI_SMBUS_H_

#include "fdapi_base.h"

#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
		SMBUS
************************************************************************/

/**
 * The board supports SMBUS function or not
 * @return   : Returns TRUE if support or FALSE otherwise.
 */
FLITEDECK_API BOOL FDSdk_SupportSmbus(void);

/**
 * Read the value of SMBUS register
 * @param byAddr: slave address of the device.
 * @param byPort: the port of the SMBUS register.
 * @param pbyValue: a pointer to a variable that receives the SMBUS value from the driver.
 * @return   : Returns FD_S_OK if successful or FD_E_FAIL otherwise.
 */
FLITEDECK_API DWORD FDSmbus_ReadByte(BYTE byAddr, BYTE byPort, BYTE * pbyValue);

/**
 * Write the value to SMBUS register
 * @param byAddr: slave address of the device.
 * @param byPort: the port of the SMBUS register.
 * @param byValue: the value will be set to SMBUS register.
 * @return   : Returns FD_S_OK if successful or FD_E_FAIL otherwise.
 */
FLITEDECK_API DWORD FDSmbus_WriteByte(BYTE byAddr, BYTE byPort, BYTE byValue);


#ifdef __cplusplus
} // extern C
#endif

#endif
